=== debian/changelog ===
ros-humble-tf2-py (0.25.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 17 Jul 2023 00:00:00 -0000

ros-humble-tf2-py (0.25.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-tf2-py (0.25.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-humble-tf2-py (0.25.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-tf2-py (0.24.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-humble-tf2-py (0.23.0-1jammy) jammy; urgency=high

  * Make sure to finalize tf2_py BufferCore. (#505 <https://github.com/ros2/geometry2/issues/505>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-tf2-py (0.22.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-tf2-py (0.21.0-1jammy) jammy; urgency=high

  * Make tf2_py Use FindPython3 (#494 <https://github.com/ros2/geometry2/issues/494>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-tf2-py (0.20.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-tf2-py (0.19.0-1jammy) jammy; urgency=high

  * Change TF2Error names to be a bit more descriptive. (#349 <https://github.com/ros2/geometry2/issues/349>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Oct 2021 00:00:00 -0000

ros-humble-tf2-py (0.18.0-1jammy) jammy; urgency=high

  * Remove python_compat.h (#417 <https://github.com/ros2/geometry2/issues/417>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Jun 2021 00:00:00 -0000

ros-humble-tf2-py (0.17.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-tf2-py (0.17.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 19 Mar 2021 00:00:00 -0000

ros-humble-tf2-py (0.16.0-1jammy) jammy; urgency=high

  * Adapt to Python 3.9 (#362 <https://github.com/ros2/geometry2/issues/362>)
  * Contributors: Homalozoa X

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-tf2-py (0.15.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-humble-tf2-py (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Nov 2020 00:00:00 -0000

ros-humble-tf2-py (0.14.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 21 Sep 2020 00:00:00 -0000

ros-humble-tf2-py (0.14.0-1jammy) jammy; urgency=high

  * Add in pytest.ini so tests succeed locally. (#280 <https://github.com/ros2/geometry2/issues/280>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Aug 2020 00:00:00 -0000

ros-humble-tf2-py (0.13.4-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-humble-tf2-py (0.13.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-humble-tf2-py (0.13.2-1jammy) jammy; urgency=high

  * Explicitly add DLL directories for Windows before importing (#266 <https://github.com/ros2/geometry2/issues/266>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-humble-tf2-py (0.13.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-humble-tf2-py (0.13.0-1jammy) jammy; urgency=high

  * Fix build error in Focal (#241 <https://github.com/ros2/geometry2/issues/241>)
  * Style cleanup on tf2_py.cpp (#222 <https://github.com/ros2/geometry2/issues/222>)
  * Contributors: Alejandro Hernández Cordero, Ivan Santiago Paunovic

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-humble-tf2-py (0.12.4-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 19 Nov 2019 00:00:00 -0000

ros-humble-tf2-py (0.12.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Nov 2019 00:00:00 -0000

ros-humble-tf2-py (0.12.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Nov 2019 00:00:00 -0000

ros-humble-tf2-py (0.12.1-1jammy) jammy; urgency=high

  * Quiet the cast-function-type warning on GCC 8.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-humble-tf2-py (0.12.0-1jammy) jammy; urgency=high

  * Properly keep references to Python objects.
  * Don't use borrowString in time or duration conversions.
  * Minor fix to use CMake variable.
  * tf2_ros is not built for Python (#99 <https://github.com/ros2/geometry2/issues/99>)
  * Contributors: Chris Lalancette, Vinnam Kim

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-humble-tf2-py (0.5.15-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-humble-tf2-py (0.5.14-1jammy) jammy; urgency=high

  * Improve tf compatibility (#192 <https://github.com/ros/geometry2/issues/192>)
    getLatestCommonTime() is needed to implement the TF API.

