## ros-humble-tf2-py 0.25.7

=== debian/changelog ===
ros-humble-tf2-py (0.25.7-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 28 May 2024 16:00:00 -0000

ros-humble-tf2-py (0.25.6-1bookworm) bookworm; urgency=high

  * When finding Python3, use python3 executable as a hint (#650 <https://github.com/ros2/geometry2/issues/650>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-tf2-py (0.25.5-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-tf2-py (0.25.4-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-tf2-py (0.25.3-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 16 Jul 2023 16:00:00 -0000

ros-humble-tf2-py (0.25.2-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-tf2-py (0.25.1-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Aug 2022 16:00:00 -0000

ros-humble-tf2-py (0.25.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-tf2-py (0.24.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-humble-tf2-py (0.23.0-1bookworm) bookworm; urgency=high

  * Make sure to finalize tf2_py BufferCore. (#505 <https://github.com/ros2/geometry2/issues/505>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-tf2-py (0.22.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-tf2-py (0.21.0-1bookworm) bookworm; urgency=high

  * Make tf2_py Use FindPython3 (#494 <https://github.com/ros2/geometry2/issues/494>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-tf2-py (0.20.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-tf2-py (0.19.0-1bookworm) bookworm; urgency=high

  * Change TF2Error names to be a bit more descriptive. (#349 <https://github.com/ros2/geometry2/issues/349>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 14 Oct 2021 16:00:00 -0000

ros-humble-tf2-py (0.18.0-1bookworm) bookworm; urgency=high

  * Remove python_compat.h (#417 <https://github.com/ros2/geometry2/issues/417>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 31 May 2021 16:00:00 -0000

ros-humble-tf2-py (0.17.1-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-tf2-py (0.17.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Mar 2021 16:00:00 -0000

ros-humble-tf2-py (0.16.0-1bookworm) bookworm; urgency=high

  * Adapt to Python 3.9 (#362 <https://github.com/ros2/geometry2/issues/362>)
  * Contributors: Homalozoa X

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-tf2-py (0.15.1-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-tf2-py (0.15.0-1bookworm) bookworm; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 01 Nov 2020 16:00:00 -0000

ros-humble-tf2-py (0.14.1-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 20 Sep 2020 16:00:00 -0000

ros-humble-tf2-py (0.14.0-1bookworm) bookworm; urgency=high

  * Add in pytest.ini so tests succeed locally. (#280 <https://github.com/ros2/geometry2/issues/280>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Aug 2020 16:00:00 -0000

ros-humble-tf2-py (0.13.4-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-tf2-py (0.13.3-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-tf2-py (0.13.2-1bookworm) bookworm; urgency=high

  * Explicitly add DLL directories for Windows before importing (#266 <https://github.com/ros2/geometry2/issues/266>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 17 May 2020 16:00:00 -0000

ros-humble-tf2-py (0.13.1-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 07 May 2020 16:00:00 -0000

ros-humble-tf2-py (0.13.0-1bookworm) bookworm; urgency=high

  * Fix build error in Focal (#241 <https://github.com/ros2/geometry2/issues/241>)
  * Style cleanup on tf2_py.cpp (#222 <https://github.com/ros2/geometry2/issues/222>)
  * Contributors: Alejandro Hernández Cordero, Ivan Santiago Paunovic

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-humble-tf2-py (0.12.4-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Nov 2019 16:00:00 -0000

ros-humble-tf2-py (0.12.3-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 17 Nov 2019 16:00:00 -0000

ros-humble-tf2-py (0.12.2-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 17 Nov 2019 16:00:00 -0000

ros-humble-tf2-py (0.12.1-1bookworm) bookworm; urgency=high


