=== debian/control ===
Source: ros-humble-tf2-py
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-geometry-msgs, ros-humble-python-cmake-module, ros-humble-tf2, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/tf2_py
Standards-Version: 3.9.2

Package: ros-humble-tf2-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rclpy, ros-humble-rpyutils, ros-humble-tf2, ros-humble-ros-workspace
Description: The tf2_py package
